{-# OPTIONS_GHC -fno-warn-unused-binds -fno-warn-missing-signatures #-}
{-# LANGUAGE CPP #-}
{-# LINE 1 "LexIntel.x" #-}
module LexIntel where

import Intel (Reg32(..),Register(..))
import TokenIntel as Token
#if __GLASGOW_HASKELL__ >= 603
#include "ghcconfig.h"
#elif defined(__GLASGOW_HASKELL__)
#include "config.h"
#endif
#if __GLASGOW_HASKELL__ >= 503
import Data.Array
#else
import Array
#endif
{-# LINE 1 "templates/wrappers.hs" #-}
-- -----------------------------------------------------------------------------
-- Alex wrapper code.
--
-- This code is in the PUBLIC DOMAIN; you may copy it freely and use
-- it for any purpose whatsoever.





import Data.Word (Word8)
















import Data.Char (ord)
import qualified Data.Bits

-- | Encode a Haskell String to a list of Word8 values, in UTF8 format.
utf8Encode :: Char -> [Word8]
utf8Encode = uncurry (:) . utf8Encode'

utf8Encode' :: Char -> (Word8, [Word8])
utf8Encode' c = case go (ord c) of
                  (x, xs) -> (fromIntegral x, map fromIntegral xs)
 where
  go oc
   | oc <= 0x7f       = ( oc
                        , [
                        ])

   | oc <= 0x7ff      = ( 0xc0 + (oc `Data.Bits.shiftR` 6)
                        , [0x80 + oc Data.Bits..&. 0x3f
                        ])

   | oc <= 0xffff     = ( 0xe0 + (oc `Data.Bits.shiftR` 12)
                        , [0x80 + ((oc `Data.Bits.shiftR` 6) Data.Bits..&. 0x3f)
                        , 0x80 + oc Data.Bits..&. 0x3f
                        ])
   | otherwise        = ( 0xf0 + (oc `Data.Bits.shiftR` 18)
                        , [0x80 + ((oc `Data.Bits.shiftR` 12) Data.Bits..&. 0x3f)
                        , 0x80 + ((oc `Data.Bits.shiftR` 6) Data.Bits..&. 0x3f)
                        , 0x80 + oc Data.Bits..&. 0x3f
                        ])



type Byte = Word8

-- -----------------------------------------------------------------------------
-- The input type


type AlexInput = (AlexPosn,     -- current position,
                  Char,         -- previous char
                  [Byte],       -- pending bytes on current char
                  String)       -- current input string

ignorePendingBytes :: AlexInput -> AlexInput
ignorePendingBytes (p,c,_ps,s) = (p,c,[],s)

alexInputPrevChar :: AlexInput -> Char
alexInputPrevChar (_p,c,_bs,_s) = c

alexGetByte :: AlexInput -> Maybe (Byte,AlexInput)
alexGetByte (p,c,(b:bs),s) = Just (b,(p,c,bs,s))
alexGetByte (_,_,[],[]) = Nothing
alexGetByte (p,_,[],(c:s))  = let p' = alexMove p c
                              in case utf8Encode' c of
                                   (b, bs) -> p' `seq`  Just (b, (p', c, bs, s))





























































-- -----------------------------------------------------------------------------
-- Token positions

-- `Posn' records the location of a token in the input text.  It has three
-- fields: the address (number of chacaters preceding the token), line number
-- and column of a token within the file. `start_pos' gives the position of the
-- start of the file and `eof_pos' a standard encoding for the end of file.
-- `move_pos' calculates the new position after traversing a given character,
-- assuming the usual eight character tab stops.


data AlexPosn = AlexPn !Int !Int !Int
        deriving (Eq,Show)

alexStartPos :: AlexPosn
alexStartPos = AlexPn 0 1 1

alexMove :: AlexPosn -> Char -> AlexPosn
alexMove (AlexPn a l c) '\t' = AlexPn (a+1)  l     (c+alex_tab_size-((c-1) `mod` alex_tab_size))
alexMove (AlexPn a l _) '\n' = AlexPn (a+1) (l+1)   1
alexMove (AlexPn a l c) _    = AlexPn (a+1)  l     (c+1)


-- -----------------------------------------------------------------------------
-- Monad (default and with ByteString input)

























































































































































-- -----------------------------------------------------------------------------
-- Basic wrapper
























-- -----------------------------------------------------------------------------
-- Basic wrapper, ByteString version
































-- -----------------------------------------------------------------------------
-- Posn wrapper

-- Adds text positions to the basic model.


--alexScanTokens :: String -> [token]
alexScanTokens str0 = go (alexStartPos,'\n',[],str0)
  where go inp__@(pos,_,_,str) =
          case alexScan inp__ 0 of
                AlexEOF -> []
                AlexError ((AlexPn _ line column),_,_,_) -> error $ "lexical error at line " ++ (show line) ++ ", column " ++ (show column)
                AlexSkip  inp__' _ln     -> go inp__'
                AlexToken inp__' len act -> act pos (take len str) : go inp__'



-- -----------------------------------------------------------------------------
-- Posn wrapper, ByteString version














-- -----------------------------------------------------------------------------
-- GScan wrapper

-- For compatibility with previous versions of Alex, and because we can.














alex_tab_size :: Int
alex_tab_size = 8
alex_base :: Array Int Int
alex_base = listArray (0 :: Int, 229)
  [ -8
  , -109
  , -98
  , -95
  , -13
  , 115
  , -87
  , 243
  , 371
  , -92
  , 0
  , 484
  , 0
  , 597
  , -99
  , 0
  , 662
  , 0
  , 727
  , -89
  , -103
  , -94
  , -101
  , 983
  , 919
  , 0
  , 1175
  , -11
  , 1111
  , 0
  , 1358
  , 0
  , 1362
  , 1608
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 1343
  , 1583
  , 1828
  , 1915
  , 2002
  , 2089
  , 2176
  , 2263
  , 2350
  , 2437
  , 2524
  , 2611
  , 2698
  , 2785
  , 2872
  , 2959
  , 3046
  , 3133
  , 3220
  , 3307
  , 3394
  , 3481
  , 3568
  , 3655
  , 3742
  , 3829
  , 3916
  , 4003
  , 4090
  , 4177
  , 4264
  , 4351
  , 4438
  , 4525
  , 4612
  , 4699
  , 4786
  , 4873
  , 4960
  , 5047
  , 5134
  , 5221
  , 5308
  , 5395
  , 5482
  , 5569
  , 5656
  , 5743
  , 5830
  , 5917
  , 6004
  , 6091
  , 6178
  , 6265
  , 6352
  , 6439
  , 6526
  , 6613
  , 6700
  , 6787
  , 6874
  , 6961
  , 7048
  , 7135
  , 7222
  , 7309
  , 7396
  , 7483
  , 7570
  , 7657
  , 1418
  , 7744
  , 7831
  , 7918
  , 8005
  , 8092
  , 8179
  , 8266
  , 8353
  , 8440
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 8527
  , 8614
  , 8701
  , 8788
  , 8875
  , 8962
  , 9049
  , 9136
  , 9223
  , 9310
  , 9397
  , 9484
  , 9571
  , 9658
  , 9745
  , 9832
  , 9919
  , 10006
  , 10093
  , 10180
  , 10267
  , 10354
  , 10441
  , 10528
  , 10615
  , 10702
  , 10789
  , 10876
  , 10963
  , 11050
  , 11137
  , 11224
  , 11311
  , 11398
  , 11485
  , 11572
  , 11659
  , 11746
  , 11833
  , 11920
  , 12007
  , 12094
  , 12181
  , 12268
  , 12355
  , 12442
  , 12529
  , 12616
  , 12703
  , 12790
  , 12877
  , 12964
  , 13051
  , 13138
  , 13225
  , 13312
  , 13399
  , 13486
  , 13573
  , 13660
  , 13747
  , 13834
  , 13921
  , 14008
  , 14095
  , 14182
  , 14269
  , 14356
  , 14443
  , 14530
  , 14617
  , 14704
  , 14791
  , 14878
  , 14965
  , 15052
  , 15139
  , 15226
  , 15313
  , 15400
  , 15487
  , 15574
  , 15661
  , 15748
  , 15835
  , 15922
  , 16009
  , 16096
  , 16183
  , 16270
  , 16357
  , 16444
  , 16531
  , 16618
  , 16705
  , 16792
  , 16879
  , 16966
  , 17053
  , 17140
  , 17227
  ]

alex_table :: Array Int Int
alex_table = listArray (0 :: Int, 17482)
  [ 0
  , 30
  , 30
  , 30
  , 30
  , 30
  , 31
  , 125
  , 1
  , 6
  , 22
  , 21
  , 20
  , 19
  , 128
  , 3
  , 126
  , 123
  , 127
  , 121
  , 0
  , 32
  , 0
  , 0
  , 30
  , 0
  , 122
  , 27
  , 2
  , 9
  , 0
  , 124
  , 0
  , 0
  , 40
  , 38
  , 37
  , 39
  , 33
  , 0
  , 111
  , 111
  , 111
  , 111
  , 111
  , 111
  , 111
  , 111
  , 111
  , 111
  , 36
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 185
  , 174
  , 155
  , 149
  , 175
  , 174
  , 174
  , 174
  , 184
  , 133
  , 174
  , 154
  , 145
  , 148
  , 223
  , 150
  , 174
  , 156
  , 146
  , 174
  , 174
  , 174
  , 174
  , 147
  , 174
  , 174
  , 34
  , 0
  , 35
  , 14
  , 0
  , 0
  , 182
  , 174
  , 168
  , 162
  , 171
  , 174
  , 174
  , 174
  , 181
  , 140
  , 174
  , 167
  , 158
  , 161
  , 205
  , 163
  , 174
  , 169
  , 159
  , 112
  , 174
  , 174
  , 174
  , 160
  , 174
  , 174
  , 26
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 23
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 4
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 5
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 16
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 18
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 24
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 28
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 30
  , 30
  , 30
  , 30
  , 30
  , -1
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 30
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 111
  , 111
  , 111
  , 111
  , 111
  , 111
  , 111
  , 111
  , 111
  , 111
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 26
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 29
  , 28
  , 4
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 17
  , 18
  , 7
  , 12
  , 12
  , 12
  , 13
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 23
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 25
  , 24
  , 5
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 15
  , 16
  , 8
  , 10
  , 10
  , 10
  , 11
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 135
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 65
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 67
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 142
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 97
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 99
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 112
  , 112
  , 112
  , 112
  , 112
  , 112
  , 112
  , 112
  , 112
  , 112
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 51
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 53
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 54
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 60
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 62
  , 174
  , 66
  , 174
  , 174
  , 174
  , 174
  , 64
  , 216
  , 134
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 63
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 71
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 83
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 85
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 86
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 92
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 94
  , 174
  , 98
  , 174
  , 174
  , 174
  , 174
  , 96
  , 198
  , 141
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 95
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 103
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 109
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 117
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 120
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 229
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 225
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 226
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 227
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 222
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 129
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 221
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 131
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 172
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 220
  , 174
  , 174
  , 174
  , 174
  , 191
  , 151
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 219
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 218
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 217
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 132
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 143
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 183
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 215
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 213
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 212
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 211
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 207
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 208
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 209
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 204
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 136
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 203
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 138
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 173
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 202
  , 174
  , 174
  , 174
  , 174
  , 190
  , 164
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 201
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 200
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 199
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 139
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 180
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 197
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 195
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 194
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 189
  , 188
  , 187
  , 186
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 176
  , 174
  , 174
  , 174
  , 174
  , 144
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 179
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 178
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 177
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 170
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 157
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 192
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 193
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 196
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 166
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 165
  , 137
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 210
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 206
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 214
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 153
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 152
  , 130
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 228
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 224
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 118
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 116
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 115
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 119
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 114
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 113
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 108
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 107
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 106
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 105
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 102
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 101
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 100
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 93
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 91
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 90
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 89
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 88
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 87
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 104
  , 174
  , 174
  , 174
  , 84
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 82
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 81
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 80
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 78
  , 174
  , 174
  , 174
  , 174
  , 174
  , 79
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 76
  , 174
  , 174
  , 174
  , 174
  , 174
  , 77
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 75
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 74
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 73
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 70
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 110
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 69
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 68
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 61
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 59
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 58
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 57
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 56
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 55
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 72
  , 174
  , 174
  , 174
  , 52
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 50
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 49
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 48
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 46
  , 174
  , 174
  , 174
  , 174
  , 174
  , 47
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 44
  , 174
  , 174
  , 174
  , 174
  , 174
  , 45
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 43
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 42
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 41
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 174
  , 0
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 174
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  , 0
  ]

alex_check :: Array Int Int
alex_check = listArray (0 :: Int, 17482)
  [ -1
  , 9
  , 10
  , 11
  , 12
  , 13
  , 115
  , 105
  , 103
  , 101
  , 97
  , 98
  , 99
  , 100
  , 112
  , 114
  , 105
  , 120
  , 112
  , 120
  , -1
  , 32
  , -1
  , -1
  , 32
  , -1
  , 120
  , 35
  , 115
  , 37
  , -1
  , 120
  , -1
  , -1
  , 42
  , 43
  , 44
  , 45
  , 46
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , 58
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , 91
  , -1
  , 93
  , 97
  , -1
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 128
  , 129
  , 130
  , 131
  , 132
  , 133
  , 134
  , 135
  , 136
  , 137
  , 138
  , 139
  , 140
  , 141
  , 142
  , 143
  , 144
  , 145
  , 146
  , 147
  , 148
  , 149
  , 150
  , 151
  , 152
  , 153
  , 154
  , 155
  , 156
  , 157
  , 158
  , 159
  , 160
  , 161
  , 162
  , 163
  , 164
  , 165
  , 166
  , 167
  , 168
  , 169
  , 170
  , 171
  , 172
  , 173
  , 174
  , 175
  , 176
  , 177
  , 178
  , 179
  , 180
  , 181
  , 182
  , 183
  , 184
  , 185
  , 186
  , 187
  , 188
  , 189
  , 190
  , 191
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 128
  , 129
  , 130
  , 131
  , 132
  , 133
  , 134
  , 135
  , 136
  , 137
  , 138
  , 139
  , 140
  , 141
  , 142
  , 143
  , 144
  , 145
  , 146
  , 147
  , 148
  , 149
  , 150
  , 151
  , 152
  , 153
  , 154
  , 155
  , 156
  , 157
  , 158
  , 159
  , 160
  , 161
  , 162
  , 163
  , 164
  , 165
  , 166
  , 167
  , 168
  , 169
  , 170
  , 171
  , 172
  , 173
  , 174
  , 175
  , 176
  , 177
  , 178
  , 179
  , 180
  , 181
  , 182
  , 183
  , 184
  , 185
  , 186
  , 187
  , 188
  , 189
  , 190
  , 191
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 128
  , 129
  , 130
  , 131
  , 132
  , 133
  , 134
  , 135
  , 136
  , 137
  , 138
  , 139
  , 140
  , 141
  , 142
  , 143
  , 144
  , 145
  , 146
  , 147
  , 148
  , 149
  , 150
  , 151
  , 152
  , 153
  , 154
  , 155
  , 156
  , 157
  , 158
  , 159
  , 160
  , 161
  , 162
  , 163
  , 164
  , 165
  , 166
  , 167
  , 168
  , 169
  , 170
  , 171
  , 172
  , 173
  , 174
  , 175
  , 176
  , 177
  , 178
  , 179
  , 180
  , 181
  , 182
  , 183
  , 184
  , 185
  , 186
  , 187
  , 188
  , 189
  , 190
  , 191
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 128
  , 129
  , 130
  , 131
  , 132
  , 133
  , 134
  , 135
  , 136
  , 137
  , 138
  , 139
  , 140
  , 141
  , 142
  , 143
  , 144
  , 145
  , 146
  , 147
  , 148
  , 149
  , 150
  , 151
  , 152
  , 153
  , 154
  , 155
  , 156
  , 157
  , 158
  , 159
  , 160
  , 161
  , 162
  , 163
  , 164
  , 165
  , 166
  , 167
  , 168
  , 169
  , 170
  , 171
  , 172
  , 173
  , 174
  , 175
  , 176
  , 177
  , 178
  , 179
  , 180
  , 181
  , 182
  , 183
  , 184
  , 185
  , 186
  , 187
  , 188
  , 189
  , 190
  , 191
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 143
  , 144
  , 145
  , 146
  , 147
  , 148
  , 149
  , 150
  , 151
  , 152
  , 153
  , 154
  , 155
  , 156
  , 157
  , 158
  , 159
  , 160
  , 161
  , 162
  , 163
  , 164
  , 165
  , 166
  , 167
  , 168
  , 169
  , 170
  , 171
  , 172
  , 173
  , 174
  , 175
  , 176
  , 177
  , 178
  , 179
  , 180
  , 181
  , 182
  , 183
  , 184
  , 185
  , 186
  , 187
  , 188
  , 189
  , 190
  , 191
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 143
  , 144
  , 145
  , 146
  , 147
  , 148
  , 149
  , 150
  , 151
  , 152
  , 153
  , 154
  , 155
  , 156
  , 157
  , 158
  , 159
  , 160
  , 161
  , 162
  , 163
  , 164
  , 165
  , 166
  , 167
  , 168
  , 169
  , 170
  , 171
  , 172
  , 173
  , 174
  , 175
  , 176
  , 177
  , 178
  , 179
  , 180
  , 181
  , 182
  , 183
  , 184
  , 185
  , 186
  , 187
  , 188
  , 189
  , 190
  , 191
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 191
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 191
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 0
  , 1
  , 2
  , 3
  , 4
  , 5
  , 6
  , 7
  , 8
  , 9
  , 10
  , 11
  , 12
  , 13
  , 14
  , 15
  , 16
  , 17
  , 18
  , 19
  , 20
  , 21
  , 22
  , 23
  , 24
  , 25
  , 26
  , 27
  , 28
  , 29
  , 30
  , 31
  , 32
  , 33
  , 34
  , 35
  , 36
  , 37
  , 38
  , 39
  , 40
  , 41
  , 42
  , 43
  , 44
  , 45
  , 46
  , 47
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , 58
  , 59
  , 60
  , 61
  , 62
  , 63
  , 64
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , 91
  , 92
  , 93
  , 94
  , 95
  , 96
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 123
  , 124
  , 125
  , 126
  , 127
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 0
  , 1
  , 2
  , 3
  , 4
  , 5
  , 6
  , 7
  , 8
  , 9
  , 10
  , 11
  , 12
  , 13
  , 14
  , 15
  , 16
  , 17
  , 18
  , 19
  , 20
  , 21
  , 22
  , 23
  , 24
  , 25
  , 26
  , 27
  , 28
  , 29
  , 30
  , 31
  , 32
  , 33
  , 34
  , 35
  , 36
  , 37
  , 38
  , 39
  , 40
  , 41
  , 42
  , 43
  , 44
  , 45
  , 46
  , 47
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , 58
  , 59
  , 60
  , 61
  , 62
  , 63
  , 64
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , 91
  , 92
  , 93
  , 94
  , 95
  , 96
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 123
  , 124
  , 125
  , 126
  , 127
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 9
  , 10
  , 11
  , 12
  , 13
  , 10
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 32
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 128
  , 129
  , 130
  , 131
  , 132
  , 133
  , 134
  , 135
  , 136
  , 137
  , 138
  , 139
  , 140
  , 141
  , 142
  , 143
  , 144
  , 145
  , 146
  , 147
  , 148
  , 149
  , 150
  , 151
  , 152
  , 153
  , 154
  , 155
  , 156
  , 157
  , 158
  , 159
  , 160
  , 161
  , 162
  , 163
  , 164
  , 165
  , 166
  , 167
  , 168
  , 169
  , 170
  , 171
  , 172
  , 173
  , 174
  , 175
  , 176
  , 177
  , 178
  , 179
  , 180
  , 181
  , 182
  , 183
  , 184
  , 185
  , 186
  , 187
  , 188
  , 189
  , 190
  , 191
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 10
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 128
  , 129
  , 130
  , 131
  , 132
  , 133
  , 134
  , 135
  , 136
  , 137
  , 138
  , 139
  , 140
  , 141
  , 142
  , 143
  , 144
  , 145
  , 146
  , 147
  , 148
  , 149
  , 150
  , 151
  , 152
  , 153
  , 154
  , 155
  , 156
  , 157
  , 158
  , 159
  , 160
  , 161
  , 162
  , 163
  , 164
  , 165
  , 166
  , 167
  , 168
  , 169
  , 170
  , 171
  , 172
  , 173
  , 174
  , 175
  , 176
  , 177
  , 178
  , 179
  , 180
  , 181
  , 182
  , 183
  , 184
  , 185
  , 186
  , 187
  , 188
  , 189
  , 190
  , 191
  , 192
  , 193
  , 194
  , 195
  , 196
  , 197
  , 198
  , 199
  , 200
  , 201
  , 202
  , 203
  , 204
  , 205
  , 206
  , 207
  , 208
  , 209
  , 210
  , 211
  , 212
  , 213
  , 214
  , 215
  , 216
  , 217
  , 218
  , 219
  , 220
  , 221
  , 222
  , 223
  , 224
  , 225
  , 226
  , 227
  , 228
  , 229
  , 230
  , 231
  , 232
  , 233
  , 234
  , 235
  , 236
  , 237
  , 238
  , 239
  , 240
  , 241
  , 242
  , 243
  , 244
  , 245
  , 246
  , 247
  , 248
  , 249
  , 250
  , 251
  , 252
  , 253
  , 254
  , 255
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , 36
  , -1
  , -1
  , 39
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 48
  , 49
  , 50
  , 51
  , 52
  , 53
  , 54
  , 55
  , 56
  , 57
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 65
  , 66
  , 67
  , 68
  , 69
  , 70
  , 71
  , 72
  , 73
  , 74
  , 75
  , 76
  , 77
  , 78
  , 79
  , 80
  , 81
  , 82
  , 83
  , 84
  , 85
  , 86
  , 87
  , 88
  , 89
  , 90
  , -1
  , -1
  , -1
  , -1
  , 95
  , -1
  , 97
  , 98
  , 99
  , 100
  , 101
  , 102
  , 103
  , 104
  , 105
  , 106
  , 107
  , 108
  , 109
  , 110
  , 111
  , 112
  , 113
  , 114
  , 115
  , 116
  , 117
  , 118
  , 119
  , 120
  , 121
  , 122
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  ]

alex_deflt :: Array Int Int
alex_deflt = listArray (0 :: Int, 229)
  [ -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , 15
  , 15
  , 17
  , 17
  , -1
  , 25
  , 25
  , 29
  , 29
  , -1
  , -1
  , -1
  , -1
  , 33
  , 33
  , 33
  , 32
  , -1
  , 32
  , 32
  , -1
  , -1
  , 32
  , 33
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  , -1
  ]

alex_accept = listArray (0 :: Int, 229)
  [ AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccNone
  , AlexAccSkip
  , AlexAcc 196
  , AlexAccSkip
  , AlexAccSkip
  , AlexAcc 195
  , AlexAcc 194
  , AlexAcc 193
  , AlexAcc 192
  , AlexAcc 191
  , AlexAcc 190
  , AlexAcc 189
  , AlexAcc 188
  , AlexAcc 187
  , AlexAcc 186
  , AlexAcc 185
  , AlexAcc 184
  , AlexAcc 183
  , AlexAcc 182
  , AlexAcc 181
  , AlexAcc 180
  , AlexAcc 179
  , AlexAcc 178
  , AlexAcc 177
  , AlexAcc 176
  , AlexAcc 175
  , AlexAcc 174
  , AlexAcc 173
  , AlexAcc 172
  , AlexAcc 171
  , AlexAcc 170
  , AlexAcc 169
  , AlexAcc 168
  , AlexAcc 167
  , AlexAcc 166
  , AlexAcc 165
  , AlexAcc 164
  , AlexAcc 163
  , AlexAcc 162
  , AlexAcc 161
  , AlexAcc 160
  , AlexAcc 159
  , AlexAcc 158
  , AlexAcc 157
  , AlexAcc 156
  , AlexAcc 155
  , AlexAcc 154
  , AlexAcc 153
  , AlexAcc 152
  , AlexAcc 151
  , AlexAcc 150
  , AlexAcc 149
  , AlexAcc 148
  , AlexAcc 147
  , AlexAcc 146
  , AlexAcc 145
  , AlexAcc 144
  , AlexAcc 143
  , AlexAcc 142
  , AlexAcc 141
  , AlexAcc 140
  , AlexAcc 139
  , AlexAcc 138
  , AlexAcc 137
  , AlexAcc 136
  , AlexAcc 135
  , AlexAcc 134
  , AlexAcc 133
  , AlexAcc 132
  , AlexAcc 131
  , AlexAcc 130
  , AlexAcc 129
  , AlexAcc 128
  , AlexAcc 127
  , AlexAcc 126
  , AlexAcc 125
  , AlexAcc 124
  , AlexAcc 123
  , AlexAcc 122
  , AlexAcc 121
  , AlexAcc 120
  , AlexAcc 119
  , AlexAcc 118
  , AlexAcc 117
  , AlexAcc 116
  , AlexAcc 115
  , AlexAcc 114
  , AlexAcc 113
  , AlexAcc 112
  , AlexAcc 111
  , AlexAcc 110
  , AlexAcc 109
  , AlexAcc 108
  , AlexAcc 107
  , AlexAcc 106
  , AlexAcc 105
  , AlexAcc 104
  , AlexAcc 103
  , AlexAcc 102
  , AlexAcc 101
  , AlexAcc 100
  , AlexAcc 99
  , AlexAcc 98
  , AlexAcc 97
  , AlexAcc 96
  , AlexAcc 95
  , AlexAcc 94
  , AlexAcc 93
  , AlexAcc 92
  , AlexAcc 91
  , AlexAcc 90
  , AlexAcc 89
  , AlexAcc 88
  , AlexAcc 87
  , AlexAcc 86
  , AlexAcc 85
  , AlexAcc 84
  , AlexAcc 83
  , AlexAcc 82
  , AlexAcc 81
  , AlexAcc 80
  , AlexAcc 79
  , AlexAcc 78
  , AlexAcc 77
  , AlexAcc 76
  , AlexAcc 75
  , AlexAcc 74
  , AlexAcc 73
  , AlexAcc 72
  , AlexAcc 71
  , AlexAcc 70
  , AlexAcc 69
  , AlexAcc 68
  , AlexAcc 67
  , AlexAcc 66
  , AlexAcc 65
  , AlexAcc 64
  , AlexAcc 63
  , AlexAcc 62
  , AlexAcc 61
  , AlexAcc 60
  , AlexAcc 59
  , AlexAcc 58
  , AlexAcc 57
  , AlexAcc 56
  , AlexAcc 55
  , AlexAcc 54
  , AlexAcc 53
  , AlexAcc 52
  , AlexAcc 51
  , AlexAcc 50
  , AlexAcc 49
  , AlexAcc 48
  , AlexAcc 47
  , AlexAcc 46
  , AlexAcc 45
  , AlexAcc 44
  , AlexAcc 43
  , AlexAcc 42
  , AlexAcc 41
  , AlexAcc 40
  , AlexAcc 39
  , AlexAcc 38
  , AlexAcc 37
  , AlexAcc 36
  , AlexAcc 35
  , AlexAcc 34
  , AlexAcc 33
  , AlexAcc 32
  , AlexAcc 31
  , AlexAcc 30
  , AlexAcc 29
  , AlexAcc 28
  , AlexAcc 27
  , AlexAcc 26
  , AlexAcc 25
  , AlexAcc 24
  , AlexAcc 23
  , AlexAcc 22
  , AlexAcc 21
  , AlexAcc 20
  , AlexAcc 19
  , AlexAcc 18
  , AlexAcc 17
  , AlexAcc 16
  , AlexAcc 15
  , AlexAcc 14
  , AlexAcc 13
  , AlexAcc 12
  , AlexAcc 11
  , AlexAcc 10
  , AlexAcc 9
  , AlexAcc 8
  , AlexAcc 7
  , AlexAcc 6
  , AlexAcc 5
  , AlexAcc 4
  , AlexAcc 3
  , AlexAcc 2
  , AlexAcc 1
  , AlexAcc 0
  ]

alex_actions = array (0 :: Int, 197)
  [ (196,alex_action_1)
  , (195,alex_action_4)
  , (194,alex_action_5)
  , (193,alex_action_6)
  , (192,alex_action_7)
  , (191,alex_action_9)
  , (190,alex_action_10)
  , (189,alex_action_11)
  , (188,alex_action_12)
  , (187,alex_action_13)
  , (186,alex_action_14)
  , (185,alex_action_15)
  , (184,alex_action_16)
  , (183,alex_action_17)
  , (182,alex_action_18)
  , (181,alex_action_19)
  , (180,alex_action_20)
  , (179,alex_action_21)
  , (178,alex_action_22)
  , (177,alex_action_23)
  , (176,alex_action_24)
  , (175,alex_action_25)
  , (174,alex_action_26)
  , (173,alex_action_27)
  , (172,alex_action_28)
  , (171,alex_action_29)
  , (170,alex_action_30)
  , (169,alex_action_31)
  , (168,alex_action_32)
  , (167,alex_action_33)
  , (166,alex_action_34)
  , (165,alex_action_35)
  , (164,alex_action_36)
  , (163,alex_action_37)
  , (162,alex_action_38)
  , (161,alex_action_39)
  , (160,alex_action_40)
  , (159,alex_action_41)
  , (158,alex_action_42)
  , (157,alex_action_43)
  , (156,alex_action_44)
  , (155,alex_action_45)
  , (154,alex_action_46)
  , (153,alex_action_47)
  , (152,alex_action_48)
  , (151,alex_action_49)
  , (150,alex_action_50)
  , (149,alex_action_51)
  , (148,alex_action_52)
  , (147,alex_action_53)
  , (146,alex_action_54)
  , (145,alex_action_55)
  , (144,alex_action_56)
  , (143,alex_action_57)
  , (142,alex_action_58)
  , (141,alex_action_59)
  , (140,alex_action_60)
  , (139,alex_action_61)
  , (138,alex_action_62)
  , (137,alex_action_63)
  , (136,alex_action_64)
  , (135,alex_action_65)
  , (134,alex_action_66)
  , (133,alex_action_67)
  , (132,alex_action_68)
  , (131,alex_action_69)
  , (130,alex_action_70)
  , (129,alex_action_71)
  , (128,alex_action_72)
  , (127,alex_action_73)
  , (126,alex_action_74)
  , (125,alex_action_75)
  , (124,alex_action_76)
  , (123,alex_action_77)
  , (122,alex_action_78)
  , (121,alex_action_79)
  , (120,alex_action_80)
  , (119,alex_action_81)
  , (118,alex_action_82)
  , (117,alex_action_83)
  , (116,alex_action_84)
  , (115,alex_action_85)
  , (114,alex_action_86)
  , (113,alex_action_87)
  , (112,alex_action_88)
  , (111,alex_action_89)
  , (110,alex_action_90)
  , (109,alex_action_91)
  , (108,alex_action_92)
  , (107,alex_action_93)
  , (106,alex_action_94)
  , (105,alex_action_95)
  , (104,alex_action_96)
  , (103,alex_action_97)
  , (102,alex_action_98)
  , (101,alex_action_99)
  , (100,alex_action_100)
  , (99,alex_action_100)
  , (98,alex_action_100)
  , (97,alex_action_100)
  , (96,alex_action_100)
  , (95,alex_action_100)
  , (94,alex_action_100)
  , (93,alex_action_100)
  , (92,alex_action_100)
  , (91,alex_action_100)
  , (90,alex_action_100)
  , (89,alex_action_100)
  , (88,alex_action_100)
  , (87,alex_action_100)
  , (86,alex_action_100)
  , (85,alex_action_100)
  , (84,alex_action_100)
  , (83,alex_action_100)
  , (82,alex_action_100)
  , (81,alex_action_100)
  , (80,alex_action_100)
  , (79,alex_action_100)
  , (78,alex_action_100)
  , (77,alex_action_100)
  , (76,alex_action_100)
  , (75,alex_action_100)
  , (74,alex_action_100)
  , (73,alex_action_100)
  , (72,alex_action_100)
  , (71,alex_action_100)
  , (70,alex_action_100)
  , (69,alex_action_100)
  , (68,alex_action_100)
  , (67,alex_action_100)
  , (66,alex_action_100)
  , (65,alex_action_100)
  , (64,alex_action_100)
  , (63,alex_action_100)
  , (62,alex_action_100)
  , (61,alex_action_100)
  , (60,alex_action_100)
  , (59,alex_action_100)
  , (58,alex_action_100)
  , (57,alex_action_100)
  , (56,alex_action_100)
  , (55,alex_action_100)
  , (54,alex_action_100)
  , (53,alex_action_100)
  , (52,alex_action_100)
  , (51,alex_action_100)
  , (50,alex_action_100)
  , (49,alex_action_100)
  , (48,alex_action_100)
  , (47,alex_action_100)
  , (46,alex_action_100)
  , (45,alex_action_100)
  , (44,alex_action_100)
  , (43,alex_action_100)
  , (42,alex_action_100)
  , (41,alex_action_100)
  , (40,alex_action_100)
  , (39,alex_action_100)
  , (38,alex_action_100)
  , (37,alex_action_100)
  , (36,alex_action_100)
  , (35,alex_action_100)
  , (34,alex_action_100)
  , (33,alex_action_100)
  , (32,alex_action_100)
  , (31,alex_action_100)
  , (30,alex_action_100)
  , (29,alex_action_100)
  , (28,alex_action_100)
  , (27,alex_action_100)
  , (26,alex_action_100)
  , (25,alex_action_100)
  , (24,alex_action_100)
  , (23,alex_action_100)
  , (22,alex_action_100)
  , (21,alex_action_100)
  , (20,alex_action_100)
  , (19,alex_action_100)
  , (18,alex_action_100)
  , (17,alex_action_100)
  , (16,alex_action_100)
  , (15,alex_action_100)
  , (14,alex_action_100)
  , (13,alex_action_100)
  , (12,alex_action_100)
  , (11,alex_action_100)
  , (10,alex_action_100)
  , (9,alex_action_100)
  , (8,alex_action_100)
  , (7,alex_action_100)
  , (6,alex_action_100)
  , (5,alex_action_100)
  , (4,alex_action_100)
  , (3,alex_action_100)
  , (2,alex_action_100)
  , (1,alex_action_100)
  , (0,alex_action_100)
  ]

{-# LINE 126 "LexIntel.x" #-}
-- Each action has type :: String -> Token

-- The token type is in Token.hs
{-
main = do
  s <- getContents
  print (alexScanTokens s)
-}
alex_action_1 = \p s -> Args p
alex_action_4 = \ p s -> LBrack p
alex_action_5 = \ p s -> RBrack p
alex_action_6 = \ p s -> Colon p
alex_action_7 = \ p s -> Comma p
alex_action_8 = \ p s -> Dot p
alex_action_9 = \ p s -> Plus p
alex_action_10 = \ p s -> Minus p
alex_action_11 = \ p s -> Times p
alex_action_12 = \ p s -> Mov p
alex_action_13 = \ p s -> Add p
alex_action_14 = \ p s -> Sub p
alex_action_15 = \ p s -> Shl p
alex_action_16 = \ p s -> Shr p
alex_action_17 = \ p s -> Sal p
alex_action_18 = \ p s -> Sar p
alex_action_19 = \ p s -> And p
alex_action_20 = \ p s -> Or p
alex_action_21 = \ p s -> Xor p
alex_action_22 = \ p s -> Neg p
alex_action_23 = \ p s -> Not p
alex_action_24 = \ p s -> Inc p
alex_action_25 = \ p s -> Dec p
alex_action_26 = \ p s -> Pop p
alex_action_27 = \ p s -> Push p
alex_action_28 = \ p s -> Imul p
alex_action_29 = \ p s -> Idiv p
alex_action_30 = \ p s -> Jmp p
alex_action_31 = \ p s -> Lea p
alex_action_32 = \ p s -> Cmp p
alex_action_33 = \ p s -> Je p
alex_action_34 = \ p s -> Jne p
alex_action_35 = \ p s -> Jl p
alex_action_36 = \ p s -> Jle p
alex_action_37 = \ p s -> Jg p
alex_action_38 = \ p s -> Jge p
alex_action_39 = \ p s -> Call p
alex_action_40 = \ p s -> Ret p
alex_action_41 = \ p s -> Enter p
alex_action_42 = \ p s -> Leave p
alex_action_43 = \ p s -> Nop p
alex_action_44 = \ p s -> Mov p
alex_action_45 = \ p s -> Add p
alex_action_46 = \ p s -> Sub p
alex_action_47 = \ p s -> Shl p
alex_action_48 = \ p s -> Shr p
alex_action_49 = \ p s -> Sal p
alex_action_50 = \ p s -> Sar p
alex_action_51 = \ p s -> And p
alex_action_52 = \ p s -> Or p
alex_action_53 = \ p s -> Xor p
alex_action_54 = \ p s -> Neg p
alex_action_55 = \ p s -> Not p
alex_action_56 = \ p s -> Inc p
alex_action_57 = \ p s -> Dec p
alex_action_58 = \ p s -> Pop p
alex_action_59 = \ p s -> Push p
alex_action_60 = \ p s -> Imul p
alex_action_61 = \ p s -> Idiv p
alex_action_62 = \ p s -> Jmp p
alex_action_63 = \ p s -> Lea p
alex_action_64 = \ p s -> Cmp p
alex_action_65 = \ p s -> Je p
alex_action_66 = \ p s -> Jne p
alex_action_67 = \ p s -> Jl p
alex_action_68 = \ p s -> Jle p
alex_action_69 = \ p s -> Jg p
alex_action_70 = \ p s -> Jge p
alex_action_71 = \ p s -> Call p
alex_action_72 = \ p s -> Ret p
alex_action_73 = \ p s -> Enter p
alex_action_74 = \ p s -> Leave p
alex_action_75 = \ p s -> Nop p
alex_action_76 = \ p s -> Dword p
alex_action_77 = \ p s -> Dword p
alex_action_78 = \ p s -> Token.Ptr p
alex_action_79 = \ p s -> Token.Ptr p
alex_action_80 = \ p s -> LOC p
alex_action_81 = \ p s -> REG p
alex_action_82 = \ p s -> Nat (read s) p
alex_action_83 = \ p ('t':s) -> Temp (read s) p
alex_action_84 = \ p s -> Reg eax p
alex_action_85 = \ p s -> Reg ebx p
alex_action_86 = \ p s -> Reg ecx p
alex_action_87 = \ p s -> Reg edx p
alex_action_88 = \ p s -> Reg esi p
alex_action_89 = \ p s -> Reg edi p
alex_action_90 = \ p s -> Reg ebp p
alex_action_91 = \ p s -> Reg esp p
alex_action_92 = \ p s -> Reg eax p
alex_action_93 = \ p s -> Reg ebx p
alex_action_94 = \ p s -> Reg ecx p
alex_action_95 = \ p s -> Reg edx p
alex_action_96 = \ p s -> Reg esi p
alex_action_97 = \ p s -> Reg edi p
alex_action_98 = \ p s -> Reg ebp p
alex_action_99 = \ p s -> Reg esp p
alex_action_100 = \ p s -> Id s p

{-# LINE 1 "templates/GenericTemplate.hs" #-}
-- -----------------------------------------------------------------------------
-- ALEX TEMPLATE
--
-- This code is in the PUBLIC DOMAIN; you may copy it freely and use
-- it for any purpose whatsoever.

-- -----------------------------------------------------------------------------
-- INTERNALS and main scanner engine































































alexIndexInt16OffAddr arr off = arr ! off




















alexIndexInt32OffAddr arr off = arr ! off











quickIndex arr i = arr ! i


-- -----------------------------------------------------------------------------
-- Main lexing routines

data AlexReturn a
  = AlexEOF
  | AlexError  !AlexInput
  | AlexSkip   !AlexInput !Int
  | AlexToken  !AlexInput !Int a

-- alexScan :: AlexInput -> StartCode -> AlexReturn a
alexScan input__ (sc)
  = alexScanUser undefined input__ (sc)

alexScanUser user__ input__ (sc)
  = case alex_scan_tkn user__ input__ (0) input__ sc AlexNone of
  (AlexNone, input__') ->
    case alexGetByte input__ of
      Nothing ->



                                   AlexEOF
      Just _ ->



                                   AlexError input__'

  (AlexLastSkip input__'' len, _) ->



    AlexSkip input__'' len

  (AlexLastAcc k input__''' len, _) ->



    AlexToken input__''' len (alex_actions ! k)


-- Push the input through the DFA, remembering the most recent accepting
-- state it encountered.

alex_scan_tkn user__ orig_input len input__ s last_acc =
  input__ `seq` -- strict in the input
  let
  new_acc = (check_accs (alex_accept `quickIndex` (s)))
  in
  new_acc `seq`
  case alexGetByte input__ of
     Nothing -> (new_acc, input__)
     Just (c, new_input) ->



      case fromIntegral c of { (ord_c) ->
        let
                base   = alexIndexInt32OffAddr alex_base s
                offset = (base + ord_c)
                check  = alexIndexInt16OffAddr alex_check offset

                new_s = if (offset >= (0)) && (check == ord_c)
                          then alexIndexInt16OffAddr alex_table offset
                          else alexIndexInt16OffAddr alex_deflt s
        in
        case new_s of
            (-1) -> (new_acc, input__)
                -- on an error, we want to keep the input *before* the
                -- character that failed, not after.
            _ -> alex_scan_tkn user__ orig_input




                   (if c < 0x80 || c >= 0xC0 then (len + (1)) else len)
                   -- note that the length is increased ONLY if this is the 1st byte in a char encoding)

                   new_input new_s new_acc
      }
  where
        check_accs (AlexAccNone) = last_acc
        check_accs (AlexAcc a  ) = AlexLastAcc a input__ (len)
        check_accs (AlexAccSkip) = AlexLastSkip  input__ (len)













data AlexLastAcc
  = AlexNone
  | AlexLastAcc !Int !AlexInput !Int
  | AlexLastSkip     !AlexInput !Int

data AlexAcc user
  = AlexAccNone
  | AlexAcc Int
  | AlexAccSkip





























